
Name:		srcpd
Version:	2.1.6
Release:    1%{?dist}
Summary:	Simple Railroad Command Protocol (SRCP) server

License:	GPLv2
URL:		http://srcpd.sourceforge.net/
Source0:	http://sourceforge.net/projects/srcpd/files/srcpd/%{version}/srcpd-%{version}.tar.bz2
Source1:	srcpd.service

Patch0:		srcpd-2.1.6-io-conditional.patch
Patch1:		srcpd-2.1.6-udev.patch

BuildRequires:		make
BuildRequires:		gcc
BuildRequires:		libxml2-devel

Requires(post):		systemd
Requires(preun):	systemd
Requires(postun):	systemd
BuildRequires:		systemd


%description
Simple Railroad Command Protocol (SRCP) is a communication protocol designed
to integrate various models of railroad systems. The srcpd acts a gateway
between any kind of model railway systems and user interface programs that
support SRCP. IANA assigned TCP port 4303 to it.


%prep
%setup -q
%patch0 -p1
%patch1 -p1


%build
%configure
%make_build


%install
%make_install
%find_lang %{name} --with-man --all-name

install -Dpm 0644 %SOURCE1 %{buildroot}/%{_unitdir}/srcpd.service
rm -rf %{buildroot}/%{_sysconfdir}/udev
install -Dpm 0644 10-liusb.rules %{buildroot}/%{_udevrulesdir}/10-liusb.rules


%post
%systemd_post %{name}.service
exit 0


%preun
%systemd_preun %{name}.service
exit 0


%postun
%systemd_postun_with_restart %{name}.service
exit 0


%files -f %{name}.lang
%doc AUTHORS COPYING ChangeLog DESIGN NEWS PROGRAMMING-HOWTO TODO
%doc README README.loconet README.selectrix
%config(noreplace) %{_sysconfdir}/srcpd.conf
%config(noreplace) %{_udevrulesdir}/10-liusb.rules
%{_unitdir}/%{name}.service
%{_sbindir}/srcpd
%{_mandir}/man5/*.5*
%{_mandir}/man8/*.8*


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.6-1
- initial build
